Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.metadata
Class ContextMetaData

    java.lang.Object
      org.jboss.portal.core.model.portal.metadata.PortalObjectMetaData
          org.jboss.portal.core.model.portal.metadata.ContextMetaData

    public class ContextMetaData

extends PortalObjectMetaData

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`ContextMetaData()`

Method Summary
`static ContextMetaData` | `buildContextMetaData(ContentProviderRegistry contentProviderRegistry, org.w3c.dom.Element contextElt)` Parse the following XML elements : context-name.
`protected PortalObject` | `newInstance(BuildContext buildContext, PortalObject parent)`

Methods inherited from class org.jboss.portal.core.model.portal.metadata.PortalObjectMetaData
`buildDisplayNameMetaData, buildListenerMetaData, buildMetaData, buildPropertiesMetaData, buildResourceBundleMetaData, buildSupportedLocalesMetaData, create, getChildren, getDisplayName, getListener, getName, getProperties, getResourceBundle, getSecurityConstraints, getSupportedLocales, setChildren, setDisplayName, setListener, setName, setProperties, setResourceBundle, setSecurityConstraints, setSupportedLocales, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextMetaData

    public ContextMetaData()

Method Detail

### newInstance

    protected PortalObject newInstance(BuildContext buildContext,
                                       PortalObject parent)
                                throws java.lang.Exception

  Specified by:
    `newInstance` in class `PortalObjectMetaData`
  Throws:
    `java.lang.Exception`

### buildContextMetaData

    public static ContextMetaData buildContextMetaData(ContentProviderRegistry contentProviderRegistry,
                                                       org.w3c.dom.Element contextElt)
                                                throws java.lang.Exception

  Parse the following XML elements : context-name.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD